#include <fstream.h>
#include "parse.h"
#include "getvalue.h"
#include "version.h"

int main(int argc, char *argv[]) {
int tconv[][9]={
  { 1,-1, 1,   1, 1,-1,   -1, 1, 1}, // 1;
  { 1,-1, 0,  -1, 0, 1,   -1,-1,-1}, // 2;
  { 1, 0, 0,   0, 1, 0,    0, 0, 1}, // 3;
  { 1, 0, 1,   1, 1, 0,    0, 1, 1}, // 5;
  { 1,-1, 0,  -1, 0, 1,   -1,-1,-1}, // 4;
  { 0, 1, 1,   1, 0, 1,    1, 1, 0}, // 6;
  { 1, 0, 1,   1, 1, 0,    0, 1, 1}, // 7;
  {-1,-1, 0,  -1, 0,-1,    0,-1,-1}, // 8;
  { 1, 0, 0,  -1, 1, 0,   -1,-1, 3}, // 9;
  { 1, 1, 0,   1,-1, 0,    0, 0,-1}, // 10;
  { 1, 0, 0,   0, 1, 0,    0, 0, 1}, // 11;
  { 1, 0, 0,   0, 1, 0,    0, 0, 1}, // 12;
  { 1, 1, 0,  -1, 1, 0,    0, 0, 1}, // 13;
  { 1, 0, 0,   0, 1, 0,    1, 1, 2}, // 15;
  {-1,-1, 0,   1,-1, 0,    1, 1, 2}, // 16;
  { 1, 1, 0,  -1, 1, 0,    0, 0, 1}, // 14;
  { 1, 1, 0,   1,-1, 0,   -1, 0,-1}, // 17;  { 1,-1, 0,   1, 1, 0,   -1, 0,-1}, // 17;
  { 0,-1, 1,   1,-1,-1,    1, 0, 0}, // 18;
  {-1, 0, 0,   0,-1, 1,   -1, 1, 1}, // 19;
  { 0, 1, 1,   0, 1,-1,   -1, 0, 0}, // 20;
  { 0, 1, 0,   0, 0, 1,    1, 0, 0}, // 21;
  { 0, 1, 0,   0, 0, 1,    1, 0, 0}, // 22;
  { 0, 1, 1,   0,-1, 1,    1, 0, 0}, // 23;
  { 1, 2, 1,   0,-1, 1,    1, 0, 0}, // 24;
  { 0, 1, 1,   0,-1, 1,    1, 0, 0}, // 25;
  { 1, 0, 0,  -1, 2, 0,   -1, 0, 2}, // 26;
  {-1, 2, 0,  -1, 0, 0,    0,-1, 1}, // 27;
  {-1, 0, 0,  -1, 0, 2,    0, 1, 0}, // 28;
  { 1, 0, 0,   1,-2, 0,    0, 0,-1}, // 29;
  { 0, 1, 0,   0, 1,-2,   -1, 0, 0}, // 30;
  { 1, 0, 0,   0, 1, 0,    0, 0, 1}, // 31;
  { 1, 0, 0,   0, 1, 0,    0, 0, 1}, // 32;
  { 0,-1, 0,   0, 1, 2,   -1, 0, 0}, // 40;
  { 0,-1, 0,  -1, 0, 0,    0, 0,-1}, // 35;
  { 1, 0, 0,  -1, 0,-2,    0, 1, 0}, // 36;
  { 1, 0, 0,   0, 1, 0,    0, 0, 1}, // 33;
  {-1, 0, 0,   1, 2, 0,    0, 0,-1}, // 38;
  {-1, 0, 0,   0, 0,-1,    0,-1, 0}, // 34;
  {-1, 0, 0,   0,-1, 0,    1, 1, 2}, // 42;
  { 0,-1,-2,   0,-1, 0,   -1, 0, 0}, // 41;
  { 1, 0, 2,   1, 0, 0,    0, 1, 0}, // 37;
  {-1,-2, 0,  -1, 0, 0,    0, 0,-1}, // 39;
  {-1, 0, 0,  -1,-1,-2,    0,-1, 0}, // 43;
  { 1, 0, 0,   0, 1, 0,    0, 0, 1}  // 44;
};
 for (int i=0; i<44; i++) {
   iMatrix3d im;
   im.set(tconv[i]);
   cout << i << " " << det(to_real(im)) << endl;
 }
}
